# 视频管理
module AliyunVod::Service::VideoManage
  # 修改视频信息
  def update_video_info(video_id, **opts)
    params = {
      Action: 'UpdateVideoInfo',
      VideoId: video_id
    }.merge(base_params)

    params = opts.merge(params)

    result = request(:post, params)

    result
  end

  # 获取视频信息
  def get_video_info(video_id)
    params = {
      Action: 'GetVideoInfo',
      VideoId: video_id
    }.merge(base_params)

    result = request(:post, params)

    result
  end

  # 删除视频信息
  def delete_video(video_ids)
    params = {
      Action: 'DeleteVideo',
      VideoIds: video_ids.join(',')
    }.merge(base_params)

    result = request(:post, params)

    result
  end
end